Bug 878149 - Cluster model unexpectedly empty when no node can be contacted
Cluster model unexpectedly empty when no node can be contacted
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.4
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
: Reopened
: 985012 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 13:16 EST by Radek Steiger
Modified: 2013-11-21 05:59 EST (History)
5 users (show)

See Also:
Fixed In Version: luci-0.26.0-38.el6
Doc Type: Bug Fix
Doc Text:
(Ryan to review) Cause: Unability to cope with the situation that no node of particular cluster can be contacted at certain luci pages gracefully. Consequence: Certain places (Failover Domains, Fence Devices, Resources, and Service Groups tabs) within luci result in Error 500 message accompanied with the tracebacks in the log when no cluster node can be concated (and hence there is no knowledge about the cluster in question). Fix: In the aforementioned cases, either "Unable to contact any of the nodes in this cluster" or "No nodes from this cluster could be contacted. The status of this cluster is unknown." is displayed as an appropriate response. Result: Unability to contact any cluster node will not cause disruptive behavior.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 05:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Steiger 2012-11-19 13:16:22 EST
Description of problem:

When no nodes can be contacted from within luci server, almost all cluster config tabs (Nodes, Fence Devices, Failover Domains, Service Groups, Configure)  return a proper message saying "No nodes from this cluster could be contacted. The status of this cluster is unknown.".

Resources tab is an exception to this as it's spitting out an Error 500 with a traceback in logs (see attached below).


Version-Release number of selected component (if applicable):

luci-0.26.0-21.el6


How reproducible:

Always


Steps to Reproduce:

1. Create or import a cluster into luci
2. Shutdown all nodes, or cut network access
3. Open https://<luci_node>:8084/cluster/<clustername>/resources
  

Actual results:

"Error 500
We're sorry but we weren't able to process this request."


Expected results:

"No nodes from this cluster could be contacted. The status of this cluster is unknown."
Comment 3 Ryan McCabe 2012-12-03 20:25:37 EST
I think this should actually be fixed as a side-effect of fixing Bug 807344
Comment 5 Ryan McCabe 2012-12-04 09:49:39 EST
This is now fixed by upstream commit

commit 50c49338b7b0d649383872b5f01ae3fde831bbfa
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Tue Dec 4 09:47:34 2012 -0500

    luci: Fix uncaught exception
    
    Catch all exceptions when the cluster model cannot be built.
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>
Comment 7 Ryan McCabe 2012-12-07 13:33:04 EST
Additional fix:

commit 04b72fa55081041a79b339ad10ca0d8a582b0256
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Fri Dec 7 13:31:14 2012 -0500

    luci: Fix for tracebacks when no nodes can be contacted
    
    Patch from Radek Steiger <rsteiger@redhat.com> to fix
    tracebacks that occurred in the fence devices, failover
    domains, and services sections when no nodes from a cluster
    cannot be contacted.
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>
Comment 14 Steven J. Levine 2013-07-19 17:25:54 EDT
Fixing this bug shouldn't affect the luci documentation, so I'm marking this as docs_scoped-.
Comment 16 Radek Steiger 2013-08-01 04:09:10 EDT
*** Bug 985012 has been marked as a duplicate of this bug. ***
Comment 19 errata-xmlrpc 2013-11-21 05:59:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1603.html

Note You need to log in before you can comment on or make changes to this bug.